Subject: bug#67539: closed (Re: bug#67539: GNU Automake 1.16.5 FAILS one test objc-megademo)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Dec 2023 23:40:02 +0000

Your bug report

#67539: GNU Automake 1.16.5 FAILS one test objc-megademo

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67539: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67539
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67539: GNU Automake 1.16.5 FAILS one test objc-megademo
From: Karl Berry <[email-masked]>
To: [email-masked]
Date: Mon, 25 Dec 2023 16:38:59 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Closing this since there's nothing left to do on the automake side.

(Someone new volunteered to take over libtool, BTW, but I see no changes
in the maintainers file as yet. Not sure where that stands.) --best, karl.

Subject: GNU Automake 1.16.5 FAILS one test objc-megademo
From: Dennis Clarke <[email-masked]>
To: [email-masked]
Date: Wed, 29 Nov 2023 16:42:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Not a bad result .... just one bad test result and it looks to be
related to something weird with libtool :

/bin/bash ./libtool    --mode=compile gcc -DHAVE_CONFIG_H -I. 
-D_LARGEFILE64_SOURCE  -g -O2 -MT fooo.lo -MD -MP -MF .d
eps/fooo.Tpo -c -o fooo.lo fooo.m
libtool: compile: unable to infer tagged configuration
libtool:   error: specify a tag with '--tag'
make[1]: *** [Makefile:661: fooo.lo] Error 1
make[1]: Leaving directory 
'/opt/bw/build/automake-1.16.5_linux_pentium_G4500.002/t/objc-megademo.dir'
make: *** [Makefile:439: all] Error 2

I have attached the test-suite.log but really, this looks to be a fairly 
decent result.

Dennis Clarke
RISC-V/SPARC/PPC/ARM/CISC
UNIX and Linux spoken